import setuptools

import testpypixu

name = "testpypixu"
version = testpypixu.version    # version should be updated in `unirec/__init__.py`
author = "Xu Huang"
author_email = "angus.xu.huang@foxmail.com"
description = "A test repo"

with open("README.md", "r", encoding='utf-8') as fh:
    long_description = fh.read()


url = ""    # usually the link of the repo
packages = [pack for pack in setuptools.find_packages() if pack.startswith("testpypixu")]

# more optional classifiers in https://pypi.org/classifiers/
classifiers = [
        "Development Status :: 3 - Alpha",  # optional
        "Intended Audience :: Developers",
        "Intended Audience :: Science/Research",
        "Environment :: GPU :: NVIDIA CUDA",   # optional
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Operating System :: OS Independent",
        "Natural Language :: English",   # optional
        "License :: OSI Approved :: MIT License",   # select a license if upload to PyPi
        "Topic :: Scientific/Engineering :: Artificial Intelligence",
    ]


# dependency
install_requires = [
]


setuptools.setup(
    name = name,
    version = version,
    author = author,
    author_email = author_email,
    description = description,
    keywords="test",
    license="MIT",
    long_description = long_description,
    long_description_content_type = "text/markdown",  # if the README file is not txt or markdown file, please change it
    url = url,
    packages = packages,
    classifiers = classifiers,
    python_requires = ">=3.8",
    include_package_data=True,  # necessary for non-python scripts, such as yaml file
    install_requires = install_requires,
)